<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SXSSFEvaluationWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SXSSFEvaluationWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SXSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="SXSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.streaming</div>
    <h2 title="Class SXSSFEvaluationWorkbook" class="title">Class SXSSFEvaluationWorkbook</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.streaming.SXSSFEvaluationWorkbook</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                           title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">SXSSFEvaluationWorkbook</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
           title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a></pre>
                <div class="block">SXSSF wrapper around the SXSSF and XSSF workbooks</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.formula.EvaluationWorkbook">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheetRange</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFEvaluationWorkbook</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html#create-org.apache.poi.xssf.streaming.SXSSFWorkbook-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFWorkbook</a>&nbsp;book)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html#getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">getFormulaTokens</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;evalCell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html#getSheet-int-">getSheet</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html#getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">getSheetIndex</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;evalSheet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#createName--">createName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getName-java.lang.String-int-">getName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">getNameText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetFirstNameByExternSheet-int-">getSheetFirstNameByExternSheet</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetLastNameByExternSheet-int-">getSheetLastNameByExternSheet</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetName-int-">getSheetName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getTable-java.lang.String-">getTable</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create-org.apache.poi.xssf.streaming.SXSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFEvaluationWorkbook</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SXSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.streaming">SXSSFWorkbook</a>&nbsp;book)</pre>
                            </li>
                        </ul>
                        <a name="getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSheetIndex(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;evalSheet)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>-1 if the specified sheet is from a different book</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;getSheet(int&nbsp;sheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFormulaTokens</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getFormulaTokens(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;evalCell)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SXSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFDrawing.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="SXSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
